%define docver  1.4.3
%define oname   ZynAddSubFX

Name:           zynaddsubfx
Version:        3.0.1
Release:        %mkrel 1
Summary:        Real-time MIDI software synthesizer
Group:          Sound/Midi
License:        GPLv2+
URL:            http://sourceforge.net/projects/zynaddsubfx

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        mageia-controller.desktop
Source2:        mageia-spliter.desktop
Source3:        mageia-zynaddsubfx.desktop
Patch0:         zynaddsubfx-buildflags.patch
Patch1:         zynaddsubfx-upstream-buildfix.patch

BuildRequires:  cmake
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo) >= 0.28
BuildRequires:  pkgconfig(mxml)
BuildRequires:  pkgconfig(xpm)

Provides:       ZynAddSubFX = %{version}-%{release}
Obsoletes:      ZynAddSubFX < %{version}-%{release}

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.
It includes randomness of some parameters,which makes warm sounds,
like analogue synthesizers. The program has system/insertion effects.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make_build

cd ..
%make_build -C ExternalPrograms/Spliter
%make_build -C ExternalPrograms/Controller

%install
install -d %{buildroot}%{_bindir}
install -m 755 build/src/zynaddsubfx %{buildroot}%{_bindir}
install -m 755 ExternalPrograms/Spliter/spliter %{buildroot}%{_bindir}
install -m 755 ExternalPrograms/Controller/controller %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/*.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_datadir}/%{name}
cp -a instruments/banks %{buildroot}%{_datadir}/%{name}

%files
%doc instruments/examples *.txt
%doc ExternalPrograms/Spliter/readme.txt
%{_bindir}/%{name}
%{_bindir}/spliter
%{_bindir}/controller
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/


%changelog
* Sun Dec 11 2016 zezinho <zezinho> 3.0.1-1.mga6
+ Revision: 1074290
- add upstream patch to fix build

* Sun Aug 14 2016 akien <akien> 2.5.4-1.mga6
+ Revision: 1046460
- Version 2.5.4

* Tue Jan 05 2016 neoclust <neoclust> 2.5.2-2.mga6
+ Revision: 919837
- Fix build flags, help arm build

* Wed Dec 16 2015 zezinho <zezinho> 2.5.2-1.mga6
+ Revision: 910856
- patch to fix string
- new version 2.5.2

* Thu Aug 20 2015 fwang <fwang> 2.5.1-1.mga6
+ Revision: 866695
- br libxpm
- br libxpm
- tweak br
- 2.5.1

* Wed Oct 15 2014 umeabot <umeabot> 2.4.4-7.mga6
+ Revision: 738988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.4-6.mga5
+ Revision: 690895
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 zezinho <zezinho> 2.4.4-5.mga5
+ Revision: 650947
- new version

* Sat Oct 19 2013 umeabot <umeabot> 2.4.3-5.mga4
+ Revision: 522607
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 wally <wally> 2.4.3-4.mga3
+ Revision: 404697
- fix desktop file names

* Mon Jan 14 2013 umeabot <umeabot> 2.4.3-3.mga3
+ Revision: 387797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 2.4.3-2.mga3
+ Revision: 321842
- fix rpm group

* Wed Jul 11 2012 zezinho <zezinho> 2.4.3-1.mga3
+ Revision: 269554
- instruments path changed
- new version

* Thu May 31 2012 zezinho <zezinho> 2.4.2-1.mga3
+ Revision: 251876
- new version built with cmake

* Sun Dec 11 2011 eatdirt <eatdirt> 2.4.1-2.mga2
+ Revision: 180473
- Rebuilt for fftw-3.3

* Mon Oct 31 2011 zezinho <zezinho> 2.4.1-1.mga2
+ Revision: 160694
- patch to build against fltk 1.3
- spec cleanup
- imported package zynaddsubfx

